Skip to content

Orders

All operations require authentication.

7 operationsv1/telephony/accessories · /telephony/currentOrderIds · /telephony/procedure
View as Markdown (opens in a new tab)
Agent setup

List current order IDsProduction

GET
/v1/telephony/currentOrderIds

List current order IDs. Returns the identifiers of the telephony orders of the customer that are still in progress.

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v1/telephony/currentOrderIds \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

List proceduresDeprecated

GET
/v1/telephony/procedure

Deprecated since Jun 1, 2026, will be removed on Jun 1, 2027.

List procedures. Returns the identifiers of the procedures of the customer, such as identity checks needed to order telephony products.

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v1/telephony/procedure \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a procedureProduction

GET
/v1/telephony/procedure/{id}

Get a procedure. Returns the procedure: status (pretodo, todo, doing, done, stop or cancel), request date, finish date and the URL of its document.

Path parameters

id
required
integer

Procedure ID

Response

200Proceduresuccessful operation
finishDate
read-only
stringdate-time

The date at which the procedure was closed.

id
read-only
integer

Procedure ID

pdfUrl
read-only
string

The URL of the procedure document.

requestDate
read-only
stringdate-time

The date at which the procedure was opened.

status
read-only
ProcedureStatusEnum

The current status of the procedure.

Valuescancelleddoingdonetodowaiting_for_customer

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/v1/telephony/procedure/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "id": 0, "pdfUrl": "string", "requestDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Create a procedureDeprecated

POST
/v1/telephony/procedure

Deprecated since Jun 1, 2026, will be removed on Jun 1, 2027.

Create a procedure. Creates a procedure needed to order telephony products. A SEPA payment mean is given by its ID, or by the owner name, address, IBAN and BIC.

Request body (required)

bic
string

Account's BIC

iban
string

Account's IBAN

ownerAddress
string

Account owner's address

ownerName
string

Account owner's name

paymentMeanID
integer

The ID of your registered SEPA account payment mean.

Response

200Proceduresuccessful operation
finishDate
read-only
stringdate-time

The date at which the procedure was closed.

id
read-only
integer

Procedure ID

pdfUrl
read-only
string

The URL of the procedure document.

requestDate
read-only
stringdate-time

The date at which the procedure was opened.

status
read-only
ProcedureStatusEnum

The current status of the procedure.

Valuescancelleddoingdonetodowaiting_for_customer

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v1/telephony/procedure \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "id": 0, "pdfUrl": "string", "requestDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Check if a procedure is requiredProduction

GET
/v1/telephony/procedure/required

Check if a procedure is required. Returns true when a procedure, such as an identity check, is required before ordering telephony products.

Response

200booleansuccessful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v1/telephony/procedure/required \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

Cancel a procedureProduction

POST
/v1/telephony/procedure/{id}/cancel

Cancel a procedure. Cancels the procedure linked to the account. Its status becomes cancel and it is no longer processed.

Path parameters

id
required
integer

Procedure ID

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/v1/telephony/procedure/{id}/cancel \
  -H "authorization: Bearer $OVH_TOKEN"

Get all available accessoriesProduction

GET
/v1/telephony/accessories

Query parameters

brand
string

Phone brand

country
required
ServiceNumberCountryEnum

The country

Valuesbechdeesfrgbuk

Response

200AccessoryOffer[]successful operation
description
string

The accessory description

name
string

The accessory name

price
Price

Accessory price

url
string

An URL to accessory details

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v1/telephony/accessories \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "url": "string" }]